CallableWithArgsClosure (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class CallableWithArgsClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              griffon.util.CallableWithArgsClosure

    public class CallableWithArgsClosure
    extends Closure

A Closure that wraps a CallableWithArgs.

Authors:
  Andres Almiray

Field Summary
`private CallableWithArgs` | `callable`

Fields inherited from class Closure
OWNER_FIRST, DELEGATE_FIRST, OWNER_ONLY, DELEGATE_ONLY, TO_SELF, DONE, SKIP, IDENTITY

Constructor Summary
`CallableWithArgsClosure(CallableWithArgs callable)`
`CallableWithArgsClosure(Object owner, CallableWithArgs callable)`

Method Summary
`protected Object` | `doCall(Object[] args)`

Methods inherited from class Closure
run, setProperty, getProperty, clone, getParameterTypes, setDelegate, getOwner, leftShift, leftShift, rightShift, call, call, call, getDelegate, getMaximumNumberOfParameters, setResolveStrategy, getResolveStrategy, getThisObject, getDirective, setDirective, isCase, asWritable, curry, rcurry, rcurry, ncurry, ncurry, memoize, memoizeAtMost, memoizeAtLeast, memoizeBetween, trampoline, trampoline, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### callable

    private final CallableWithArgs callable

Constructor Detail

### CallableWithArgsClosure

    public CallableWithArgsClosure(CallableWithArgs callable)

### CallableWithArgsClosure

    public CallableWithArgsClosure(Object owner, CallableWithArgs callable)

Method Detail

### doCall

    protected Object doCall(Object[] args)

Groovy Documentation